.contact {
    background: $red;

    &__map {
        height: rem(226);
    }

    &__main {
        color: $white;
        padding-top: rem(65);
        padding-bottom: rem(83);
    }

    &__header {
        text-align: center;
        font-weight: 700;
        font-size: rem(31);
        line-height: rem(47);
        margin-bottom: rem(15);
    }

    &__subtitle {
        font-weight: 300;
        font-size: rem(22);
        line-height: rem(33);
        text-align: center;
        margin-bottom: rem(15);
    }

    &__item {
        margin-bottom: rem(10);
    }

    &__button {
        text-align: center;
        padding-top: rem(5);

        .btn {
            width: 100%;
        }
    }

    &__text {
        padding-top: rem(10);
        text-align: center;
        font-size: rem(16);
        line-height: rem(25);
    }

    @include media-breakpoint-up(md) {

        &__form {
            width: rem(520);
            margin: 0 auto;
        }

        &__subtitle {
            margin-bottom: rem(25);
        }

        &__header {

        }

        &__item {
            margin-bottom: rem(16);

            &--checkbox {
                text-align: center;
            }
        }

        &__button {

            .btn {
                width: auto;
                min-width: rem(320);
            }
        }

        &__text {
            padding-top: rem(25);
        }

        &__map {
            height: rem(440);
        }
    }

    @include media-breakpoint-up(xl) {
        position: relative;
        background: transparent;

        &__map {
            z-index: 1;
            height: rem(680);
            position: relative;
        }

        &__wrap {
            top: 0;
            left: 0;
            right: 0;
            z-index: 50;
            position: absolute;
        }

        &__inner {
            z-index: 50;
            position: relative;
        }

        &__main {
            top: 0;
            left: 0;
            width: rem(650);
            height: rem(680);
            background: $red;
            position: absolute;
        }
    }
}
